/**
 * @licstart The following is the entire license notice for the
 * Javascript code in this page
 *
 * Copyright 2018 Mozilla Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * @licend The above is the entire license notice for the
 * Javascript code in this page
 */
'use strict';

var _api = require('../../display/api');

var _worker_options = require('../../display/worker_options');

describe('DOCUMENT', function () {
  _worker_options.GlobalWorkerOptions.workerSrc = '../../src/core/worker.js';
  debugger;
  (0, _api.getDocument)('../pdfs/smlouva_kz.pdf').then(function (pdfDoc) {
    for (var num = 1; num <= pdfDoc.numPages; num++) {
      pdfDoc.getPage(num).then(function (page) {
        var canvasContainer = document.getElementById('pdf_content');
        var viewport = page.getViewport(1.3);
        var canvas = document.createElement('canvas');
        var ctx = canvas.getContext('2d');
        var renderContext = {
          canvasContext: ctx,
          viewport: viewport
        };
        canvas.height = viewport.height;
        canvas.width = viewport.width;
        canvasContainer.appendChild(canvas);
        page.render(renderContext);
      });
    }
  });
});